import React from 'react';
import Uploader from '.';

export default (props) => {
  const {value, onChange} = props;

  const onDelete = (e) => {
    const { file } = e.detail
    const newVals = value.filter(x => x.url != file.url);
    onChange(newVals);
  }
  
  return (
    <Uploader deletable fileList={value} onDelete={onDelete} onChange={onChange} />
  )
}
